Package org.bukkit.event.player

# Enum Class PlayerKickEvent.Cause

java.lang.Object
java.lang.Enum<PlayerKickEvent.Cause>
org.bukkit.event.player.PlayerKickEvent.Cause

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerKickEvent.Cause>`, `Constable`

Enclosing class:
  PlayerKickEvent

public static enum PlayerKickEvent.Cause extends Enum<PlayerKickEvent.Cause>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BANNED`
`DUPLICATE_LOGIN`
`FLYING_PLAYER`
`FLYING_VEHICLE`
`IDLING`
`ILLEGAL_ACTION`
`ILLEGAL_CHARACTERS`
`INVALID_ENTITY_ATTACKED`
`INVALID_PAYLOAD`
`INVALID_PLAYER_MOVEMENT`
`INVALID_VEHICLE_MOVEMENT`
`IP_BANNED`
`KICK_COMMAND`
`PLUGIN`
`RESOURCE_PACK_REJECTION`
`RESTART_COMMAND`
Spigot's restart command
`SELF_INTERACTION`
`SPAM`
`TIMEOUT`
`UNKNOWN`
Fallback cause
`WHITELIST`

## Method Summary

Modifier and Type
Method
Description
`static PlayerKickEvent.Cause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerKickEvent.Cause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PLUGIN

public static final PlayerKickEvent.Cause PLUGIN

### WHITELIST

public static final PlayerKickEvent.Cause WHITELIST

### BANNED

public static final PlayerKickEvent.Cause BANNED

### IP_BANNED

public static final PlayerKickEvent.Cause IP_BANNED

### KICK_COMMAND

public static final PlayerKickEvent.Cause KICK_COMMAND

### FLYING_PLAYER

public static final PlayerKickEvent.Cause FLYING_PLAYER

### FLYING_VEHICLE

public static final PlayerKickEvent.Cause FLYING_VEHICLE

### TIMEOUT

public static final PlayerKickEvent.Cause TIMEOUT

### IDLING

public static final PlayerKickEvent.Cause IDLING

### INVALID_VEHICLE_MOVEMENT

public static final PlayerKickEvent.Cause INVALID_VEHICLE_MOVEMENT

### INVALID_PLAYER_MOVEMENT

public static final PlayerKickEvent.Cause INVALID_PLAYER_MOVEMENT

### INVALID_ENTITY_ATTACKED

public static final PlayerKickEvent.Cause INVALID_ENTITY_ATTACKED

### INVALID_PAYLOAD

public static final PlayerKickEvent.Cause INVALID_PAYLOAD

### SPAM

public static final PlayerKickEvent.Cause SPAM

### ILLEGAL_ACTION

public static final PlayerKickEvent.Cause ILLEGAL_ACTION

### ILLEGAL_CHARACTERS

public static final PlayerKickEvent.Cause ILLEGAL_CHARACTERS

### SELF_INTERACTION

public static final PlayerKickEvent.Cause SELF_INTERACTION

### DUPLICATE_LOGIN

public static final PlayerKickEvent.Cause DUPLICATE_LOGIN

### RESOURCE_PACK_REJECTION

public static final PlayerKickEvent.Cause RESOURCE_PACK_REJECTION

### RESTART_COMMAND

public static final PlayerKickEvent.Cause RESTART_COMMAND
Spigot's restart command

### UNKNOWN

public static final PlayerKickEvent.Cause UNKNOWN
Fallback cause

## Method Details

### values

public static PlayerKickEvent.Cause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerKickEvent.Cause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null